Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Interface BoundingCircle

All Known Implementing Classes:
  BoundingCircle.Impl

public interface BoundingCircle

Interface that describes a bounding circle around a given point on a sphere.

Nested Class Summary
`static class` | `BoundingCircle.Impl` A simple implementation of BoundingCircle, storing the center and radius as data members.

Method Summary
`Geo` | `getCenter()` Returns a Geo representing the center of the circle.
`double` | `getRadius()`
`boolean` | `intersects(BoundingCircle bc)`
`boolean` | `intersects(Geo g, double radius)`

Method Detail

### getCenter

    public Geo getCenter()

  Returns a Geo representing the center of the circle.

  Returns:
    Geo

### getRadius

    public double getRadius()

  Returns:
    the radius of the bounding circle in radians.

### intersects

    public boolean intersects(BoundingCircle bc)

  Returns:
    whether this bounding circle intersects with another.

### intersects

    public boolean intersects(Geo g,
                              double radius)

  Returns:
    whether this bounding circle intersects with a Geo with a radius (radians) around it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details